Bug 1028772 - SELinux is preventing /usr/bin/mv from 'write' accesses on the directory /home/patachou/.texlive2013/texmf-var/fonts/pk/modeless/adobe.
SELinux is preventing /usr/bin/mv from 'write' accesses on the directory /hom...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:7bed2b3f267093d292ac329580a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-10 11:53 EST by Patrice FERLET
Modified: 2013-12-03 05:33 EST (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.14.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 05:33:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice FERLET 2013-11-10 11:53:56 EST
Description of problem:
Using latexmk, this appears sometimes (evince is open on the currente document)
SELinux is preventing /usr/bin/mv from 'write' accesses on the directory /home/patachou/.texlive2013/texmf-var/fonts/pk/modeless/adobe.

*****  Plugin catchall (100. confidence) suggests  ***************************

If vous pensez que mv devrait être autorisé à accéder write sur adobe directory par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# grep mv /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /home/patachou/.texlive2013/texmf-
                              var/fonts/pk/modeless/adobe [ dir ]
Source                        mv
Source Path                   /usr/bin/mv
Port                          <Inconnu>
Host                          (removed)
Source RPM Packages           coreutils-8.21-11.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.10.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.6-200.fc19.x86_64 #1 SMP Fri
                              Oct 18 22:34:18 UTC 2013 x86_64 x86_64
Alert Count                   817
First Seen                    2013-11-04 13:21:43 CET
Last Seen                     2013-11-10 17:50:50 CET
Local ID                      dcef9456-2f34-4dfa-ba91-4565b7eaeffd

Raw Audit Messages
type=AVC msg=audit(1384102250.878:3986): avc:  denied  { write } for  pid=17797 comm="mkdir" name="adobe" dev="dm-2" ino=43392730 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=dir


type=SYSCALL msg=audit(1384102250.878:3986): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=7fffc66185ef a1=1ff a2=1ff a3=3c05bbbcac items=0 ppid=17791 pid=17797 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=mkdir exe=/usr/bin/mkdir subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: mv,thumb_t,user_home_t,dir,write

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.11.6-200.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-11-11 06:21:35 EST
Please execute

# chcon -t thumb_home_t /home/patachou/.texlive2013

will fix it for now.

commit 962c720a0c8cbeeaf5a992bfa44639437abe7e2a
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Mon Nov 11 12:21:23 2013 +0100

    Add support for texlive2013
Comment 2 Fedora Update System 2013-11-26 09:22:49 EST
selinux-policy-3.12.1-74.14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.14.fc19
Comment 3 Fedora Update System 2013-11-26 23:30:05 EST
Package selinux-policy-3.12.1-74.14.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.14.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22197/selinux-policy-3.12.1-74.14.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-12-03 05:33:10 EST
selinux-policy-3.12.1-74.14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.